# Check Status

### Check Status

## POST /snap/v1.1/qr/qr-mpm-status

>

```json
{"openapi":"3.0.0","info":{"title":"KIRIMDOKU Snap - rem-kirimdoku-snap","version":"1.0.0"},"tags":[{"name":"CHECK STATUS","description":"KIRIMDOKU Check Status"}],"servers":[{"description":"KIRIMDOKU Sandbox","url":"https://api-sandbox.doku.com"},{"description":"KIRIMDOKU Production","url":"https://api.doku.com"}],"paths":{"/snap/v1.1/qr/qr-mpm-status":{"post":{"operationId":"checkStatus11","tags":["CHECK STATUS"],"parameters":[{"$ref":"#/components/parameters/xExternalId"},{"$ref":"#/components/parameters/xPartnerId"},{"$ref":"#/components/parameters/xSignature"},{"$ref":"#/components/parameters/xTimeStamp"},{"$ref":"#/components/parameters/channelIdHeader"}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/postCheckStatusRequest"}}}},"responses":{"200":{"description":"check status processed","content":{"application/json":{"schema":{"$ref":"#/components/schemas/postCheckStatusResponse"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/SnapCheckStatusFailedResponse"}}}}}}}},"components":{"parameters":{"xExternalId":{"name":"X-EXTERNAL-ID","in":"header","description":"Numeric String. Reference number that should be unique in the same day (Request Id)","required":true,"schema":{"type":"string"}},"xPartnerId":{"name":"X-PARTNER-ID","in":"header","description":"Client Id for merchant that generated by DOKU","required":true,"schema":{"type":"string"}},"xSignature":{"name":"X-SIGNATURE","in":"header","description":"Symmetric Signature with Get Token (Default)HMAC_SHA512 (clientSecret, stringToSign) dengan formula stringToSign = HTTPMethod +”:“+ EndpointUrl +\":\"+ AccessToken +\":“+ Lowercase(HexEncode(SHA-256(minify(RequestBody))))+ \":“ + TimeStamp","required":true,"schema":{"type":"string"}},"xTimeStamp":{"name":"X-TIMESTAMP","in":"header","description":"Client's current local time with format YYYY-MM-DDTHH:mm:ssZD","required":true,"schema":{"type":"string"}},"channelIdHeader":{"name":"CHANNEL-ID","in":"header","description":"refers to a unique identifier for the channel or method used to initiate a payment transaction","required":true,"schema":{"type":"string"}}},"schemas":{"postCheckStatusRequest":{"type":"object","required":["originalPartnerReferenceNo","serviceCode","beneficiaryAccountNumber","beneficiaryBankCode"],"properties":{"originalPartnerReferenceNo":{"type":"string","maxLength":64,"description":"Original transaction identifier on service consumer system. Filled with partnerReferenceNo from remit/transfer API"},"originalReferenceNo":{"type":"string","maxLength":64,"description":"Original transaction identifier on service provider system. Can be filled with referenceNo or sessionId from remit/transfer API."},"originalExternalId":{"type":"string","maxLength":32,"description":"Original transaction identifier on service provider system. Can be filled with X-EXTERNAL_ID from remit/transfer API."},"serviceCode":{"type":"string","maxLength":2,"description":"Transaction type indicator (service code of the original transaction request)."}}},"postCheckStatusResponse":{"type":"object","properties":{"responseCode":{"type":"string"},"responseMessage":{"type":"string"},"originalReferenceNo":{"type":"string"},"originalPartnerReferenceNo":{"type":"string"},"serviceCode":{"type":"string"},"latestTransactionStatus":{"type":"string","enum":["00","03","04","06"],"description":"00 - Success <br><br> 03 - Pending <br><br> 04 - Refunded <br><br> 06 - Failed"},"amount":{"$ref":"#/components/schemas/amountDTO"},"transactionDate":{"type":"string","description":"transaction date : ISO 8601","maxLength":25},"originalResponseCode":{"type":"string"},"originalResponseMessage":{"type":"string"},"transactionStatusDesc":{"type":"string"},"sessionId":{"type":"string"},"additionalInfo":{"$ref":"#/components/schemas/CheckStatusAdditionalInfoResDTO"}}},"amountDTO":{"type":"object","properties":{"value":{"type":"string"},"currency":{"type":"string"}}},"CheckStatusAdditionalInfoResDTO":{"type":"object","properties":{"cashInTime":{"type":"string"},"remark":{"type":"string"},"beneficiaryAmount":{"type":"string"}}},"SnapCheckStatusFailedResponse":{"type":"object","required":["responseCode","responseMessage"],"properties":{"responseCode":{"type":"string","description":"Response Code with format HTTP status code + service code + case code. | min length: 1 | max length: 7"},"responseMessage":{"type":"string","description":"Failed. | min length: 1 | max length: 150"}}}}}}
```

***


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.doku.com/payout/kirim-doku/check-status.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
